<div class="col-lg-6" [@fadeIn]>
    <h1>{{title}}</h1>

    <div class="alert alert-success" *ngIf="status == 'success'">
        El registro se ha realizado correctamente, <a [routerLink]="['/login']">identificate aquí</a>
    </div>

    <div class="alert alert-danger" *ngIf="status == 'error'">
       No te has registrado correctamente
    </div>

    <form #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)" class="col-lg-10">
        <p>
            <label>Nombre</label>
            <input type="text" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required>
            <span *ngIf="!name.valid && name.touched">El nombre es obligatorio</span>
        </p>
        <p>
            <label>Apellidos</label>
            <input type="text" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control"
                required>
            <span *ngIf="!surname.valid && surname.touched">Los apellidos es obligatorio</span>
        </p>
        <p>
            <label>Correo Electrócnico</label>
            <input type="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required>
            <span *ngIf="!email.valid && email.touched">El correo es obligatorio</span>
        </p>
        <p>
            <label>Contraseña</label>
            <input type="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control"
                required>
            <span *ngIf="!password.valid && password.touched">la contraseña no es valida</span>
        </p>
        <input type="submit" value="{{title}}" class="btn btn-primary" [disabled]="!registerForm.form.valid">
    </form>
</div>